weakpass_edit(8)

NAME
weakpass_edit - Mac OS X Server Password Server weak password dictionary insertion tool

SYNOPSIS

add [ [-p passphrase] | [-f file]]
delete [ [-p passphrase] | [-f file]]

DESCRIPTION
weakpass_edit Adds weak or undesirable passwords to a dictionary of passwords to be rejected by the password server.

weakpass_edit must be run as root; it will exit otherwise.

This tool's purpose is to manage the weak password dictionary.

OPTIONS
The following options are available:

-p  add or delete a passphrase, provided as a command-line argument, to the weak password database.

-f  add or delete all passphrases contained in a file.

USAGE

FILES & FOLDERS
/var/db/authserver - the password server database repository. The weak password files are here.
/var/db/authserver/weakpasswords.[n] - an alphabetized list of weak passwords to reject.

SEE ALSO
PasswordService(8) mkpassdb(8)